Entur Developer
Consents API

API for displaying all consent info (Data warehouse API)


Find all given consents

GET
https://api.entur.io/customers/v2/consents
/crm

Find all given consents. This endpoint is intended for data warehouse use and returns all consents with related contact information. |The response can be filtered by consent IDs, and you can choose to include email and telephone numbers. |If no filters are provided, all given consents for your organisation are returned.

Find all given consents › query Parameters

consentIds
​integer[] · style: form · explode: true

Filter consents by its id (comma separated). Returns all consents if not provided.

includeEmail
​boolean · style: form · explode: true

Whether or not to include email in the response. Defaults to false

Default: false
includeTelephoneNumber
​boolean · style: form · explode: true

Whether or not to include telephone number in the response. Defaults to false

Default: false

Find all given consents › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find all given consents › Responses

OK

A condensed view of consent information
consentBaseVersion
​integer · int32 · required

The consent base version associated with the consent

consentCode
​string · required

The consent code of the base consent associated with the consent

consentId
​integer · int64 · required

The id of the Consent that has been consented

consentOrganisationId
​integer · int64 · required

The organisation that owns the Consent. Typically an 'Operatør'

createdByOrgId
​integer · int64 · required

The organisation through which the consent was given

customerNumber
​integer · int64 · required

Customer number, a unique identifier for the customer.

customerRef
​string · required

Customer ref, a unique identifier for the customer within an organisation

givenConsentId
​integer · int64 · required

Given consent id.

countryCode
​string

The telephone number country code

email
​string

The customer's email

fromStopPlace
​string

The stop place where the customer’s journey started, in NeTEx format.

Example: NSR:StopPlace:12345
lineRef
​string

Reference to the customers journey line, in NeTEx format

Example: VYT:Line:L1
originalDatedServiceJourneyId
​string

Unique Id for a specific Service Journey, in NeTEx format with ENT as operator

Example: ENT:DatedServiceJourney:12345
telephoneNumber
​string

The customer's telephone number

toStopPlace
​string

The stop place where the customer’s journey ended, in NeTEx format.

Example: NSR:StopPlace:12345

Did you find what you were looking for?